/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

import request from '@/router/axios'

export function fetchList(query) {
  return request({
    url: '/admin/wmscorepackage/page',
    method: 'get',
    params: query
  })
}

export function getListRule(query) {
  return request({
    url: '/admin/wmscorepackage/getListRule',
    method: 'get',
    params: query
  })
}

export function getTotalData(query) {
  return request({
    url: '/admin/wmscorepackage/getTotalData',
    method: 'get',
    params: query
  })
}


export function addObj(obj) {
  return request({
    url: '/admin/wmscorepackage',
    method: 'post',
    data: obj
  })
}

export function getObj(id) {
  return request({
    url: '/admin/wmscorepackage/' + id,
    method: 'get'
  })
}

export function delObj(id) {
  return request({
    url: '/admin/wmscorepackage/' + id,
    method: 'delete'
  })
}

export function putObj(obj) {
  return request({
    url: '/admin/wmscorepackage',
    method: 'put',
    data: obj
  })
}


export function selWmscorepackageList(obj) {
  return request({
    url: '/admin/wmscorepackage/listWmScorePackageAndTask',
    method: 'get',
    params: obj
  })
}


export function fetchListTask(query) {
  return request({
    url: '/admin/wmscorepackage/getWmScorePackagePageTask',
    method: 'get',
    params: query
  })
}


export function fetchListPlatTotal(query) {
  return request({
    url: '/admin/wmscorepackage/getPlatTotalData',
    method: 'get',
    params: query
  })
}


export function getWmScorePackagePageTask(query) {
  return request({
    url: '/admin/wmscorepackage/getWmScorePackagePageTask',
    method: 'get',
    params: query
  })
}

export function getWmScorePageTask(query) {
  return request({
    url: '/admin/wmscorepackage/getWmScorePageTask',
    method: 'get',
    params: query
  })
}

export function getWmScorePackageTask(query) {
  return request({
    url: '/admin/wmscorepackage/getWmScorePackageTask',
    method: 'get',
    params: query
  })
}


export function getTotalDataTask(query) {
  return request({
    url: '/admin/wmscorepackage/getTotalData',
    method: 'get',
    params: query
  })
}


export function addObjTask(obj) {
  return request({
    url: '/admin/wmscorepackage',
    method: 'post',
    data: obj
  })
}

export function getObjTask(id) {
  return request({
    url: '/admin/wmscorepackage/' + id,
    method: 'get'
  })
}

export function delObjTask(id) {
  return request({
    url: '/admin/wmscorepackage/' + id,
    method: 'delete'
  })
}

export function putObjTask(obj) {
  return request({
    url: '/admin/wmscorepackage',
    method: 'put',
    data: obj
  })
}
